summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Ammerlaan <andrewammerlaan@gentoo.org>2022-02-13 17:59:48 +0100
committerAndrew Ammerlaan <andrewammerlaan@gentoo.org>2022-02-13 18:01:17 +0100
commit714a6af13b71848a62bc51f1d2462c953aa95307 (patch)
tree8eff4268b56a16d35c429b38ccbda0c1e63bb66c
parentapp-admin/eselect: Remove old (diff)
downloadgentoo-714a6af13b71848a62bc51f1d2462c953aa95307.tar.gz
gentoo-714a6af13b71848a62bc51f1d2462c953aa95307.tar.bz2
gentoo-714a6af13b71848a62bc51f1d2462c953aa95307.zip
sci-electronics/eagle: add version 9.6.2
Closes: https://bugs.gentoo.org/622172 Package-Manager: Portage-3.0.30, Repoman-3.0.3 Signed-off-by: Andrew Ammerlaan <andrewammerlaan@gentoo.org>
-rw-r--r--sci-electronics/eagle/Manifest1
-rw-r--r--sci-electronics/eagle/eagle-9.6.2.ebuild82
2 files changed, 83 insertions, 0 deletions
diff --git a/sci-electronics/eagle/Manifest b/sci-electronics/eagle/Manifest
index 703da782c65..151cae87e0d 100644
--- a/sci-electronics/eagle/Manifest
+++ b/sci-electronics/eagle/Manifest
@@ -1,2 +1,3 @@
+DIST Autodesk_EAGLE_9.6.2_English_Linux_64bit.tar.gz 171780187 BLAKE2B 6fb627448068b8af8fb2a4117c84386a300acef769afe8524cae703afb09edf719f19fc4a5298d091667f3d4c09e8ec06a0da4a16274cb6e6c64a1ae349ed014 SHA512 4ef17dfa52b1ee0f5ba68896bc3821616a1b7d1a073a586604271cd7129e29671c480cd324cc5eadc517eb300ca4be6efa69423a306944e36732c2aa34cc59a3
DIST eagle-lin32-7.7.0.run 51488593 BLAKE2B e1556b7abe6fb405632015f39bdd8e8c61891ebab7e3f59d41aaa0c6ecaea2f050ced62552656a2311542fee497dbe8fbe43c958a8e76a9b00217c430f678072 SHA512 7ebe73bcd71857c5b8087e911ebfc45507715725abab15b80c9800476128790f8e373d01c52c05a87102597d355390ca0687964eff74af1283b162fba8dbb53b
DIST eagle-lin64-7.7.0.run 51108322 BLAKE2B 1458199821328e811632cdb7457f256b9d97c40005c0ce71eb65d9c3f75049618e76e0c7e3cbb2e3171649bb412270409fd601bfe6f51c79c6cc3d01c12fcf66 SHA512 1f0b38be16b87f67f64709e7e39b888592240d98cdcb7b81ee77f236d9cdea5127e661db5cff470d9673f8247bea49732be3b443cdc5fbd1dca34e26896a6770
diff --git a/sci-electronics/eagle/eagle-9.6.2.ebuild b/sci-electronics/eagle/eagle-9.6.2.ebuild
new file mode 100644
index 00000000000..2c1a7c4b22c
--- /dev/null
+++ b/sci-electronics/eagle/eagle-9.6.2.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop xdg
+
+DESCRIPTION="Autodesk EAGLE schematic and printed circuit board (PCB) layout editor"
+HOMEPAGE="https://www.autodesk.com/"
+SRC_URI="https://eagle-updates.circuits.io/downloads/${PV//./_}/Autodesk_EAGLE_${PV}_English_Linux_64bit.tar.gz"
+
+LICENSE="Autodesk"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+
+QA_PREBUILT="opt/${PN}/*"
+RESTRICT="mirror bindist"
+
+RDEPEND="
+ app-crypt/mit-krb5
+ dev-libs/expat
+ dev-libs/glib
+ dev-libs/libpcre
+ dev-libs/nspr
+ dev-libs/nss
+ dev-qt/qtcore:5
+ dev-qt/qtdbus:5
+ dev-qt/qtdeclarative:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtpositioning:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtsvg:5
+ dev-qt/qtwebchannel:5
+ dev-qt/qtwebengine:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/libglvnd
+ media-libs/mesa
+ net-dns/avahi
+ net-print/cups
+ sys-apps/dbus
+ sys-apps/keyutils
+ sys-libs/e2fsprogs-libs
+ sys-libs/glibc
+ sys-libs/zlib
+ x11-libs/libdrm
+ x11-libs/libX11
+ x11-libs/libXau
+ x11-libs/libxcb
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXi
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libxshmfence
+ x11-libs/libXtst
+"
+
+src_install() {
+ dodoc doc/*.txt doc/*.pdf doc/ulp/*.pdf
+ doman doc/eagle.1
+ dodoc ngspice/*.txt ngspice/*.pdf
+ doman ngspice/share/man/man1/*
+ dodir /opt/${PN}
+
+ # copy everything in
+ cp -a "${S}/"* "${ED}/opt/${PN}/" || die
+ fperms 0755 /opt/${PN}/${PN}
+ # and make convenience symlink
+ dosym "../${PN}/${PN}" "/opt/bin/${PN}"
+
+ # Create desktop entry
+ doicon -s 128x128 bin/${PN}-logo.png
+ make_desktop_entry ${PN} "CadSoft EAGLE Layout Editor" ${PN}-logo "Graphics;Electronics"
+}